Bug 752459

Summary: libsocialweb: Untrusted connection to Twitter without user's approval upon service start via dbus [fedora-all]
Product: [Fedora] Fedora Reporter: Jan Lieskovsky <jlieskov>
Component: libsocialwebAssignee: Peter Robinson <pbrobinson>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 15CC: pbrobinson
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: rest-0.7.12-1.fc15 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-11-24 21:25:58 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 752022    

Description Jan Lieskovsky 2011-11-09 10:20:32 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=752022

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2011-11-12 07:50:43 EST
rest-0.7.12-1.fc16,libsocialweb-0.25.20-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rest-0.7.12-1.fc16,libsocialweb-0.25.20-1.fc16
Comment 2 Fedora Update System 2011-11-12 07:51:31 EST
rest-0.7.12-1.fc15,libsocialweb-0.25.20-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rest-0.7.12-1.fc15,libsocialweb-0.25.20-1.fc15
Comment 3 Fedora Update System 2011-11-13 00:30:23 EST
Package rest-0.7.12-1.fc16, libsocialweb-0.25.20-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rest-0.7.12-1.fc16 libsocialweb-0.25.20-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15833
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-11-24 21:25:58 EST
rest-0.7.12-1.fc16, libsocialweb-0.25.20-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2011-11-28 19:02:08 EST
rest-0.7.12-1.fc15, libsocialweb-0.25.20-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.